<?php
/**
 * Plugin Name: WooCommerce Step Filter
 * Description: Powerful and flexible plugin for creating step-by-step products filter
 * Version: 6.3.0
 * Author: پرشین اسکریپت
 * Author URI: www.persianscript.ir
 */

namespace {

    define('WC_STEP_FILTER_VERSION', '6.3.0');

    if (!defined('WC_STEP_FILTER_PLUGIN_PATH')) {
        define('WC_STEP_FILTER_PLUGIN_PATH', plugin_dir_path(__FILE__));
    }

    if (!defined('WC_STEP_FILTER_PLUGIN_URL')) {
        define('WC_STEP_FILTER_PLUGIN_URL', plugin_dir_url(__FILE__));
    }

    if (!defined('WC_STEP_FILTER_THEME_TEMPLATES_DIR')) {
        define('WC_STEP_FILTER_THEME_TEMPLATES_DIR', 'woocommerce-step-filter');
    }

    if (!defined('WC_STEP_FILTER_DEBUG')) {
        if (defined('SCRIPT_DEBUG')) {
            define('WC_STEP_FILTER_DEBUG', SCRIPT_DEBUG);
        } else {
            define('WC_STEP_FILTER_DEBUG', false);
        }
    }

    require_once('includes/Core.php');
}

namespace WCStepFilter {
    
    // Init class
    new Core();

    // register shortcodes
    \add_shortcode('woocommerce-step-filter', __NAMESPACE__. '\\shortCode');

    function shortCode($attributes)
    {
        do_action('wcsf_shortcode_init', $attributes);

        return Core::getTemplatePart('index', $attributes, ['echo' => false]);
    }

    // load text domain
    \add_action('plugins_loaded', __NAMESPACE__ . '\\loadPluginTextDomain');

    function loadPluginTextDomain()
    {
        load_plugin_textdomain(
            'woocommerce-step-filter',
            false,
            dirname(plugin_basename(__FILE__)) . '/languages/'
        );
    }
}
