<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'resetButtonText' => \WCStepFilter\Filter::getSetting($id, 'reset_button_text'),
    'resultsUrl' => \WCStepFilter\Filter::getSetting($id, 'results_url')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

// reset page query
$url = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? 'https' : 'http')
    . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";

$query = [];
$parts = parse_url($url);

// parse query args
if (isset($parts['query'])) {
    parse_str($parts['query'], $query);
}

// clear the query
unset($query['wcsf-reset-value']);
unset($query['wcsf-results']);
unset($query['wcsf-value']);
unset($query['wcsf-referer']);

// add reset state
$query['wcsf-reset-state'] = $arguments['id'];

// build query string
$parts['query'] = http_build_query($query);

// stringify URL parts
$redirectLink = \WCStepFilter\Core::buildUrl($parts);
?>
<a href="<?php echo esc_url($redirectLink); ?>" class="btn btn-warning wcsf-reset"
    data-component="<?php echo $arguments['resultsUrl'] == '#' ? 'none' : 'wcsf-reset'; ?>"
    role="button"><?php echo wp_kses_post($arguments['resetButtonText']); ?></a><!--spacer-->
