<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'skipButtonText' => \WCStepFilter\Filter::getSetting($id, 'skip_button_text'),
    'nextStepId' => null
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<button class="btn btn-default btn-secondary wcsf-skip"
    type="submit"
    name="skip"
    value="<?php echo esc_attr($arguments['nextStepId']); ?>"
    data-component="wcsf-skip wcsf-go-to"
    data-id="<?php echo esc_attr($arguments['nextStepId']); ?>"><?php
    echo wp_kses_post($arguments['skipButtonText']);
    ?></button><!--spacer-->
