<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'showCount' => false,
    'fields' => []
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<input type="hidden"
    name="value[<?php echo esc_attr($arguments['step']->id); ?>][]"
    value="">
<ul class="wcsf-fields-list form-group">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="<?php
            echo esc_attr("wcsf-field wcsf-field-$field->value wcsf-field-checkbox checkbox form-check");
            echo $field->disabled ? ' disabled' : '';
            ?>">
            <label class="wcsf-field-label">
                <input type="checkbox"
                    class="wcsf-field-input form-check-input"
                    data-component="<?php echo esc_attr($field->component); ?>"
                    data-id="<?php echo esc_attr($arguments['step']->id); ?>"
                    name="value[<?php echo esc_attr($arguments['step']->id); ?>][]"
                    value="<?php echo esc_attr($field->value); ?>"<?php
                    echo $field->checked ? ' checked ' : '';
                    echo $field->disabled ? ' disabled ' : '';
                    ?>>
                <span class="wcsf-field-name form-check-label"><?php
                    echo wp_kses_post($field->name);

                    if ($arguments['showCount'] && isset($field->count)) {
                        echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                    }
                    ?></span>
            </label>
            <?php
            if (isset($field->children) && !empty($field->children)) {
                \WCStepFilter\Core::getTemplatePart(
                    'fields/checkbox',
                    array_replace(
                        $arguments,
                        ['fields' => $field->children]
                    )
                );
            }
            ?>
        </li>
    <?php } ?>
</ul>
