<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'showCount' => false,
    'fields' => []
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

foreach ($arguments['fields'] as $field) {
    ?>
    <figure class="<?php
        echo esc_attr("wcsf-field wcsf-field-$field->value wcsf-field-image-radio");
        echo $field->disabled ? ' disabled' : '';
        ?>">
        <label class="wcsf-field-label">
            <input type="radio"
                class="wcsf-field-input"
                data-component="<?php echo esc_attr($field->component); ?>"
                data-id="<?php echo esc_attr($arguments['step']->id); ?>"
                name="value[<?php echo esc_attr($arguments['step']->id); ?>][]"
                value="<?php echo esc_attr($field->value); ?>"
                <?php
                echo $field->checked ? ' checked ' : '';
                echo $field->disabled ? ' disabled ' : '';
                ?>>
            <?php
            echo $field->thumbnail
                ? wp_get_attachment_image(
                    $field->thumbnail,
                    $arguments['step']->thumbnailSize,
                    false,
                    ['class' => 'wcsf-field-thumbnail']
                )
                : '';
            ?>
            <span class="wcsf-field-name"><?php
                echo wp_kses_post($field->name);

                if ($arguments['showCount'] && isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
        </label>
    </figure>
    <?php
}
?>
