<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'showCount' => false,
    'fields' => [],
    'currentValue' => []
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<ul class="form-group wcsf-fields-multi-choice-checkbox-inner">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="<?php
            echo esc_attr("wcsf-field wcsf-field-$field->value wcsf-field-multi-choice-checkbox");
            echo $field->disabled ? ' disabled' : '';
            ?>">
            <span class="wcsf-field-multi-choice-checkbox-label"><?php
                echo wp_kses_post($field->name);

                if ($arguments['showCount'] && isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
            <div class="wcsf-field-multi-choice-checkbox-value">
                <span class="wcsf-field-multi-choice-checkbox-value-inner">
                    <?php foreach ($arguments['step']->multiChoiceValues as $possibleValue) { ?>
                        <?php
                        $name = 'value[' . $arguments['step']->id . "][$field->value]";
                        $inputId = 'wcsf-field-input-' . $arguments['step']->id . "-$field->value-$possibleValue[key]";
                        $isChecked = isset($field->currentValue[$field->value])
                            && $field->currentValue[$field->value] == $possibleValue['value']
                            || $possibleValue['value'] == reset($arguments['step']->multiChoiceValues)['value'];
                        ?>
                        <input type="radio"
                            class="wcsf-field-multi-choice-checkbox-value-input wcsf-field-input is-<?php
                            echo esc_attr($possibleValue['key']);
                            ?>"
                            id="<?php echo esc_attr($inputId); ?>"
                            name="<?php echo esc_attr($name); ?>"
                            data-component="<?php echo esc_attr($field->component); ?>"
                            data-id="<?php echo esc_attr($arguments['step']->id); ?>"
                            value="<?php echo esc_attr($possibleValue['value']); ?>"<?php
                            echo $isChecked ? ' checked ' : '';
                        ?>>
                    <?php } ?>
                    <span class="wcsf-field-multi-choice-checkbox-value-icon"></span>
                    <?php foreach ($arguments['step']->multiChoiceValues as $key => $possibleValue) { ?>
                        <?php
                        $inputId = 'wcsf-field-input-' . $arguments['step']->id . "-$field->value-";

                        if (isset($arguments['step']->multiChoiceValues[$key + 1])) {
                            $inputId .= $arguments['step']->multiChoiceValues[$key + 1]['key'];
                        } else {
                            $inputId .= reset($arguments['step']->multiChoiceValues)['key'];
                        }
                        ?>
                        <label class="wcsf-field-multi-choice-checkbox-value-label wcsf-field-name is-<?php
                            echo esc_attr($possibleValue['key']);
                            ?>"
                            for="<?php echo esc_attr($inputId); ?>"><?php
                            echo wp_kses_post($possibleValue['label']);
                            ?></label>
                    <?php } ?>
                </span>
            </div>
        </li>
    <?php } ?>
</ul>
