<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'showCount' => false,
    'fields' => [],
    'currentValue' => []
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<ul class="form-group wcsf-fields-multi-choice-range-inner">
    <?php foreach ($arguments['fields'] as $field) { ?>
        <li class="<?php
            echo esc_attr("wcsf-field wcsf-field-$field->value wcsf-field-multi-choice-range");
            echo $field->disabled ? ' disabled' : '';
            ?>">
            <span class="wcsf-field-multi-choice-range-label"><?php
                echo wp_kses_post($field->name);

                if ($arguments['showCount'] && isset($field->count)) {
                    echo ' <span class="wcsf-field-count">(' . wp_kses_post($field->count) . ')</span>';
                }
                ?></span>
            <label class="wcsf-field-multi-choice-range-value">
                <span class="wcsf-field-multi-choice-range-value-inner">
                    <input class="wcsf-field-multi-choice-range-value-input wcsf-range"
                        data-component="<?php echo esc_attr($field->component); ?>"
                        data-id="<?php echo esc_attr($arguments['step']->id); ?>"
                        onchange="this.setAttribute('value', this.value)"
                        oninput="this.setAttribute('value', this.value)"
                        name="<?php echo esc_attr('value[' . $arguments['step']->id . "][$field->value]"); ?>"
                        value="<?php
                        echo isset($field->currentValue[$field->value]) && $field->currentValue[$field->value]
                            ? $field->currentValue[$field->value]
                            : 0;
                        ?>"
                        type="range" step="1" min="-1" max="2">
                    <?php foreach ($arguments['step']->multiChoiceValues as $possibleValue) { ?>
                        <span class="wcsf-field-multi-choice-range-value-label"
                            data-value="<?php echo esc_attr($possibleValue['value']); ?>"><?php
                            echo wp_kses_post($possibleValue['label']);
                            ?></span>
                    <?php } ?>
                </span>
            </label>
        </li>
    <?php } ?>
</ul>
