<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'fields' => [],
    'sliderOptions' => [
        'orientation' => 'horizontal',
        'start' => [0],
        'range' => [
            'min' => 0,
            'max' => 100
        ],
        'step' => 1,
        'format' => ['decimals' => 0],
        'connect' => [true, false],
        'binding' => []
    ]
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

foreach ($arguments['fields'] as $fieldKey => $field) {
    $fieldId = "wcsf-field-$fieldKey-$arguments[id]-" . $arguments['step']->id;
    $arguments['sliderOptions']['binding'][] = "#$fieldId";
    $arguments['sliderOptions']['start'] = [$field->value];
    $arguments['sliderOptions']['step'] = $field->step;
    $arguments['sliderOptions']['format']['decimals'] = strlen(substr(strrchr($field->step, '.'), 1));
    $arguments['sliderOptions']['range'] = [
        'min' => $field->min,
        'max' => $field->max
    ];
    ?>
    <div class="wcsf-field wcsf-field-to">
        <div class="wcsf-field-slider horizontal"
            data-component="no-ui-slider"
            data-options="<?php echo esc_attr(wp_json_encode($arguments['sliderOptions'])); ?>"></div>
        <div class="form-group">
            <div class="input-group">
                <span class="input-group-addon input-group-prepend">
                    <label for="<?php echo esc_attr($fieldId); ?>"
                        class="wcsf-field-label input-group-text"><?php echo wp_kses_post($field->label); ?></label>
                </span>
                <input type="number"
                    step="<?php echo esc_attr($field->step); ?>"
                    id="<?php echo esc_attr($fieldId); ?>"
                    class="form-control wcsf-field-input"
                    data-component="<?php echo esc_attr($field->component); ?>"
                    name="<?php echo esc_attr($field->name); ?>"
                    value="<?php echo esc_attr($field->value); ?>">
                <span class="wcsf-field-unit input-group-addon input-group-append">
                    <span class="input-group-text"><?php echo wp_kses_post($field->unit); ?></span>
                </span>
            </div>
        </div>
    </div>
    <?php
}
?>
