<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaults = [
    'step' => null,
    'showCount' => false,
    'fields' => [],
    'showPreliminaryResultsCount' => \WCStepFilter\Filter::getSetting($id, 'show_preliminary_results_count')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

$component = 'wcsf-field-input';
$actionOnClick = \WCStepFilter\Question::getSetting($arguments['step']->id, 'action_on_click');

if ($actionOnClick == 'submit-and-go-next') {
    $component .= ' wcsf-submit-and-go-next';
} elseif ($actionOnClick == 'submit') {
    $component .= ' wcsf-submit';
} elseif ($arguments['showPreliminaryResultsCount']) {
    $component .= ' wcsf-get-preliminary-results-count';
}
?>
<div class="wcsf-field wcsf-field-select form-group">
    <div class="input-group">
        <span class="input-group-addon input-group-prepend">
            <label for="wcsf-field-<?php echo esc_attr($arguments['step']->id); ?>"
                class="wcsf-field-label input-group-text"><?php
                echo wp_kses_post($arguments['step']->name);
                ?></label>
        </span>
        <select name="value[<?php echo esc_attr($arguments['step']->id); ?>][]"
            id="wcsf-field-<?php echo esc_attr($arguments['step']->id); ?>"
            class="form-control wcsf-field-input"
            data-component="<?php echo esc_attr($component); ?>">
            <?php foreach ($arguments['fields'] as $field) { ?>
                <option value="<?php echo esc_attr($field->value); ?>"<?php
                echo $field->checked ? ' selected ' : '';
                echo $field->disabled ? ' disabled ' : '';
                ?>><?php
                    echo esc_html($field->name);

                    if ($arguments['showCount'] && isset($field->count)) {
                        echo ' (' . esc_html($field->count) . ')';
                    }
                    ?></option>
            <?php } ?>
        </select>
    </div>
</div>
