<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'ajaxUrl' => admin_url('admin-ajax.php'),
    'stepsIds' => \WCStepFilter\Filter::getStepsIds($id),
    'publicSettings' => \WCStepFilter\Filter::getSettings($id, ['public' => true])
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

if (is_product_category() || is_product_tag()) {
    $currentCategory = get_queried_object();
}
?>
<section class="wcsf"
    data-component="wcsf"
    data-id="<?php echo esc_attr($arguments['id']); ?>"
    data-category-id="<?php echo is_product_category() ? esc_attr($currentCategory->term_id) : ''; ?>"
    data-tag-id="<?php echo is_product_tag() ? esc_attr($currentCategory->term_id) : ''; ?>"
    data-settings="<?php echo esc_attr(wp_json_encode($arguments['publicSettings'])); ?>"
    data-ajax-url="<?php echo esc_attr($arguments['ajaxUrl']); ?>"
    data-steps="<?php echo esc_attr(wp_json_encode($arguments['stepsIds']))?>"><?php
    \WCStepFilter\Core::getTemplatePart('router', $arguments);
    ?></section>
