<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'navItems' => \WCStepFilter\Filter::getNavItems($id)
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<nav class="wcsf-nav buttons" role="tablist">
    <?php foreach ($arguments['navItems'] as $navItem) { ?>
        <button class="wcsf-nav-item btn btn-default btn-secondary <?php echo esc_attr($navItem->class); ?>"
            type="submit"
            name="stepId"
            value="<?php echo esc_attr($navItem->id); ?>"
            data-component="wcsf-nav-item <?php echo esc_attr($navItem->component); ?>"
            data-id="<?php echo esc_attr($navItem->id); ?>"<?php
            echo $navItem->disabled ? ' disabled ' : '';
            ?>><?php echo wp_kses_post($navItem->name); ?></button>
    <?php } ?>
</nav>
