<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'navItems' => \WCStepFilter\Filter::getNavItems($id)
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<div class="wcsf-nav images" role="tablist">
    <?php foreach ($arguments['navItems'] as $navItem) { ?>
        <button class="wcsf-nav-item thumbnail card <?php echo esc_attr($navItem->class); ?>"
            type="submit"
            name="stepId"
            value="<?php echo esc_attr($navItem->id); ?>"
            data-component="wcsf-nav-item <?php echo esc_attr($navItem->component); ?>"
            data-id="<?php echo esc_attr($navItem->id); ?>"><?php
            echo $navItem->disabled ? ' disabled ' : '';

            if ($navItem->thumbnailId) {
                echo wp_get_attachment_image(
                    $navItem->thumbnailId,
                    'thumbnail',
                    false,
                    [
                        'class' => 'card-img'
                    ]
                );
            } else {
                echo '<img class="cart-img" alt="No image" src="http://via.placeholder.com/150x150?text=No+image">';
            }
            ?></button>
    <?php } ?>
</div>
