<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'navItems' => \WCStepFilter\Filter::getNavItems($id)
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
?>
<nav class="wcsf-nav tabs">
    <ul class="nav nav-tabs" role="tablist">
        <?php foreach ($arguments['navItems'] as $navItem) { ?>
            <li class="nav-item <?php echo esc_attr($navItem->class); ?>">
                <button class="wcsf-nav-item nav-link <?php echo esc_attr($navItem->class); ?>"
                    type="submit"
                    name="stepId"
                    value="<?php echo esc_attr($navItem->id); ?>"
                    data-component="wcsf-nav-item <?php echo esc_attr($navItem->component); ?>"
                    data-id="<?php echo esc_attr($navItem->id); ?>"<?php
                    echo $navItem->disabled ? ' disabled ' : '';
                    ?>><?php echo wp_kses_post($navItem->name); ?></button>
            </li>
        <?php } ?>
    </ul>
</nav>
