<?php
if (!defined('ABSPATH')) {
    exit();
}

$defaultOrderBy =
    apply_filters('woocommerce_default_catalog_orderby', get_option('woocommerce_default_catalog_orderby'));

$defaults = [
    'id' => null,
    'orderBy' => isset($_GET['orderBy']) ? wc_clean(wp_unslash($_GET['orderBy'])) : $defaultOrderBy
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;
$orderByOptions = apply_filters(
    'woocommerce_catalog_orderby',
    [
        'menu_order' => __('Default sorting', 'woocommerce'),
        'popularity' => __('Sort by popularity', 'woocommerce'),
        'rating' => __('Sort by average rating', 'woocommerce'),
        'date' => __('Sort by newness', 'woocommerce'),
        'price' => __('Sort by price: low to high', 'woocommerce'),
        'price-desc' => __('Sort by price: high to low', 'woocommerce')
    ]
);

if ('no' === get_option('woocommerce_enable_review_rating')) {
    unset($orderByOptions['rating']);
}

if (!array_key_exists($arguments['orderBy'], $orderByOptions)) {
    $arguments['orderBy'] = current(array_keys($orderByOptions));
}
?>
<div class="wcsf-products-ordering woocommerce-ordering" data-component="wcsf-ordering">
    <select name="orderBy" class="orderby" data-component="wcsf-ordering-select">
        <?php foreach ($orderByOptions as $optionId => $optionName) { ?>
            <option value="<?php
            echo esc_attr($optionId);
            ?>" <?php selected($arguments['orderBy'], $optionId); ?>><?php
                echo esc_html($optionName);
                ?></option>
        <?php } ?>
    </select>
</div>
