<?php
if (!defined('ABSPATH')) {
    exit();
}

use \WCStepFilter\Filter;

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'page' => 1,
    'resultsUrl' => Filter::getSetting($id, 'results_url'),
    'step' => Filter::getActiveStep($id),
    'steps' => Filter::getSteps($id),
    'nextStepId' => Filter::getNextActiveStepId($id),
    'prevStepId' => Filter::getPrevActiveStepId($id),
    'fields' => Filter::getActiveStepFields($id),
    'value' => Filter::getValue($id)
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

// older versions support
$arguments['activeStep'] = (array) $arguments['step'];

\WCStepFilter\Core::getTemplatePart('form/index', $arguments);
