<?php
if (!defined('ABSPATH')) {
    exit();
}

use \WCStepFilter\Core;
use \WCStepFilter\Filter;

$id = isset($id) ? $id : false;

if (!$id) {
    return;
}

$defaults = [
    'id' => null,
    'resetButtonLink' => Filter::getSetting($id, 'results_url'),
    'enableShopResetButton' => Filter::getSetting($id, 'enable_shop_reset_button'),
    'enableShopBackButton' => Filter::getSetting($id, 'enable_shop_back_button'),
    'enableShopRepeatButton' => Filter::getSetting($id, 'enable_shop_repeat_button'),
    'repeatButtonLink' => isset($_GET['wcsf-referer']) && $_GET['wcsf-referer']
        ? $_GET['wcsf-referer']
        : Filter::getSetting($id, 'shop_repeat_button_url'),
    'backButtonLink' => isset($_GET['wcsf-referer']) && $_GET['wcsf-referer']
        ? str_replace("wcsf-reset-state=$id", '', $_GET['wcsf-referer'])
        : Filter::getSetting($id, 'shop_back_button_url')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

if ($arguments['resetButtonLink'] == '#'
    || (!$arguments['enableShopBackButton'] && !$arguments['enableShopResetButton'])
) {
    // don't show for the page with the filter or with disabled buttons
    return;
}
?>
<div class="wcsf wcsf-shop-controls">
    <?php
    if ($arguments['backButtonLink'] && $arguments['enableShopBackButton']) {
        Core::getTemplatePart('shop-controls/back', $arguments);
    }

    if ($arguments['repeatButtonLink'] && $arguments['enableShopRepeatButton']) {
        Core::getTemplatePart('shop-controls/repeat', $arguments);
    }

    if ($arguments['enableShopResetButton']) {
        Core::getTemplatePart('shop-controls/reset', $arguments);
    }
    ?>
</div>
