<?php
if (!defined('ABSPATH')) {
    exit();
}

use \WCStepFilter\Filter;

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'repeatButtonText' => Filter::getSetting($id, 'shop_repeat_button_text'),
    'repeatButtonLink' => Filter::getSetting($id, 'shop_repeat_button_url')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

if (!$arguments['repeatButtonLink']) {
    $arguments['repeatButtonLink'] = $_GET['wcsf-referer'];
}

$arguments['repeatButtonLink'] = Filter::getShopRepeatUrl($id, $arguments['repeatButtonLink']);
?>
<a class="btn btn-info wcsf-shop-repeat"
    href="<?php echo esc_url($arguments['repeatButtonLink']); ?>"><?php
    echo wp_kses_post($arguments['repeatButtonText']);
    ?></a><!--spacer-->
