<?php
if (!defined('ABSPATH')) {
    exit();
}

$id = isset($id) ? $id : false;

if (!$id) {
    throw new Exception('Empty id');
}

$defaults = [
    'id' => $id,
    'resetButtonText' => \WCStepFilter\Filter::getSetting($id, 'shop_reset_button_text'),
    'resetButtonLink' => \WCStepFilter\Filter::getSetting($id, 'results_url')
];

$arguments = isset($arguments) ? array_replace_recursive($defaults, $arguments) : $defaults;

// if the settings is empty
if (!$arguments['resetButtonLink']) {
    $arguments['resetButtonLink'] = get_permalink(wc_get_page_id('shop'));
}

// if URL is absolute
if (strpos($arguments['resetButtonLink'], home_url()) === false) {
    $arguments['resetButtonLink'] = home_url() . '/' . $arguments['resetButtonLink'];
}
?>
<a class="btn btn-warning wcsf-shop-reset"
    href="<?php echo esc_url($arguments['resetButtonLink']); ?>"><?php
    echo wp_kses_post($arguments['resetButtonText']);
    ?></a><!--spacer-->
